package com.fhkj.oltinspection.config;

import com.fhkj.oltinspection.interceptor.AuthInterceptor;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.ViewControllerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
  
/** 
 * Created by jack on 2017/10/25. 
 */  
@Configuration  
public class WebMvcConfig implements WebMvcConfigurer  {  
    @Override  
    public void addViewControllers(ViewControllerRegistry registry) {  
        //super.addViewControllers(registry);  
        registry.addViewController("/ws").setViewName("/ws");  
        registry.addViewController("/chat").setViewName("/chat");  
    }
    
    @Bean
    AuthInterceptor authInterceptor() { 
        return new AuthInterceptor(); 
    }
    public void addInterceptors(InterceptorRegistry registry) { 
        registry.addInterceptor(authInterceptor()); 
    }
} 
