package com.fhkj.oltinspection.util;

import javax.servlet.http.HttpSession;
import javax.websocket.HandshakeResponse;
import javax.websocket.server.HandshakeRequest;
import javax.websocket.server.ServerEndpointConfig;
  
/** 
 * Created by jack on 2017/10/25. 
 */  
  
/** 
 * 解决websocket获取不到session的问题 
 * 参考：http://www.cnblogs.com/jarviswhj/p/4227559.html 
 *       http://www.cnblogs.com/zhaoww/p/5119706.html 
 */  
public class GetHttpSessionConfigurator extends ServerEndpointConfig.Configurator {  
    @Override
    public void modifyHandshake(ServerEndpointConfig config, 
                                HandshakeRequest request, 
                                HandshakeResponse response)
    {
        HttpSession httpSession = (HttpSession)request.getHttpSession();
        config.getUserProperties().put(HttpSession.class.getName(),httpSession);
    }
}