package com.fhkj.oltinspection.controller;

import com.fhkj.oltinspection.entity.FtpConfigEntity;
import com.fhkj.oltinspection.pojo.Result;
import com.fhkj.oltinspection.service.FtpService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huyi 
 * @see 操作ftp的接口
 */
@RestController
@RequestMapping (value = "/ftp")
public class FtpController {
    @Autowired
    private FtpService ftpSetvice;
    /**
     * @param
     * @return Result
     * @see 登录ftp的接口
     */
    @GetMapping (value = "/loginFtp")
    public Result loginFTP () {

        return ftpSetvice.loginFtp(1);
    }

    @PostMapping (value = "/addFtpConfig")
    public Result addFtpConfig () {
        FtpConfigEntity ftpConfigEntity = new FtpConfigEntity();
        ftpConfigEntity.setHost ("10.109.21.8");
        ftpConfigEntity.setPort (21);
        ftpConfigEntity.setUsername("GEPON");
        ftpConfigEntity.setPassword("GEPON");
        return ftpSetvice.saveFtpConfigEntity(ftpConfigEntity);
    }
}